/***************************************************************************
                          PabiloPref.h  -  description
                             -------------------
    begin                : Mon Apr 15 2002
    copyright            : (C) 2002 by Michiel van Turnhout
    email                : info@qris.myweb.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <PalmOS.h>

typedef struct {
	UInt16			whsz;
	UInt16			maxspeed;
	UInt16			updGraphSecs;
  UInt16      updDataSecs;
  UInt16      recordSecs;
  Boolean			checkSpeedo;
} PabiloPrefType;

extern PabiloPrefType prefs;

Boolean PreferencesHandleEvent (EventType * event);
void PabiloLoadPrefs(PabiloPrefType *newprefs);
void PabiloSavePrefs(PabiloPrefType *newprefs);
