/***************************************************************************
                          Tools.c  -  description
                             -------------------
    begin                : Tue Apr 23 2002
    copyright            : (C) 2002 by Michiel van Turnhout
    email                : info@qris.myweb.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <PalmOS.h>
#include "Pabilo_res.h"
#include "FPConversion.h"
#include "Tools.h"

static Char fillout[] = "      ";

void WinDrawInt(Int32 val,Coord x, Coord y) {
 	Char	string[20];
	FntSetFont(0);
  StrIToA(string ,(Int32) val);
  StrNCat(string, fillout,6);
	WinDrawChars(string, StrLen(string), x, y);
}

void WinDrawDouble(double val,Int8 pres,Coord x, Coord y) {
 	Char	string[20];
  DoubleToString(string ,val,pres);
  StrNCat(string, fillout,6);
	WinDrawChars(string, StrLen(string), x, y);
}

//PabiloII
UInt32 StrHToI(const Char *str) {
  UInt8  i = 0;
  UInt32 ret = 0;

  while(i != StrLen(str)) {
    ret <<= 4;
    if((str[i] <= 'F') && (str[i] >= 'A'))
      ret |= str[i] - 'A' + 10;
    else if((str[i] <= 'f') && (str[i] >= 'a'))
      ret |= str[i] - 'a' + 10;
     else if((str[i] <= '9') && (str[i] >= '0'))
      ret |= str[i] - '0';
    i++;
  }
  return(ret);
}

