/***************************************************************************
                          battery.c  -  description
                             -------------------
    begin                : Sun Jan 19 2003
    copyright            : (C) 2003 by Michiel van Turnhout
    email                : qris@wanadoo.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "battery.h"

 // Battery info stole this from other code needs some optimisation
void WinDrawBattery(void) {
	FormPtr form = FrmGetActiveForm();
	UInt8				    percent;
	RectangleType		r1, r2, save;
	Coord				    full, level, x, y;
	MemHandle			  h;
  Boolean         pluggedin;

  SysBatteryInfo(false,NULL,NULL,NULL,NULL,&pluggedin,&percent);
//  percent =25; // DEBUG
	if ((FrmVisible(form)) && ((oldpercent != percent)) ) {
		oldpercent = percent;
		FrmGetObjectBounds(form, FrmGetObjectIndex(form, idBatteryBounds), &r1);
		full = r1.extent.x;
		level = min(((((full-4)*percent)+50)/100)+1, full-3); // 1 <-> (full-3)
		WinGetClip(&save);
		RctCopyRectangle(&r1, &r2);
		x = r1.topLeft.x;
		y = r1.topLeft.y;
		// draw full part of battery
		if (level > 0) {
			r1.extent.x = level;
			WinClipRectangle(&r1);
			WinSetClip(&r1);
			h = DmGetResource(bitmapRsc, bitmapfullID);
			WinDrawBitmap(MemHandleLock(h), x, y);
			MemHandleUnlock(h);
			DmReleaseResource(h);
			WinSetClip(&save);
		}
		// draw empty part of battery
		r2.topLeft.x = x + level;
		r2.extent.x = full - level;
		if (r2.extent.x > 0) {
			WinClipRectangle(&r2);
			WinSetClip(&r2);
			h = DmGetResource(bitmapRsc, bitmapemptyID);
			WinDrawBitmap(MemHandleLock(h), x, y);
			MemHandleUnlock(h);
  		DmReleaseResource(h);
  	}
		WinSetClip(&save);
	}
}